/*
*/

#include <gst/gst.h>
#include <gst-phonon/gst-phonon.h>
#include "brightnesscontrol.h"

namespace Phonon
{
namespace Gst
{
BrightnessControl::BrightnessControl( QObject* parent )
	: VideoEffect( -1, parent )
	, m_brightness( 0 )
{
//	object = gpho_brightnesscontrol_new();
}

BrightnessControl::~BrightnessControl()
{
//	gst_object_unref(object);
}

int BrightnessControl::brightness() const
{
	return m_brightness;
}

void BrightnessControl::setBrightness( int brightness )
{
	m_brightness = brightness;
}

int BrightnessControl::lowerBound() const
{
	return -1000;
}

int BrightnessControl::upperBound() const
{
	return 1000;
}

}} //namespace Phonon::Gst

#include "brightnesscontrol.moc"
// vim: sw=4 ts=4
